package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysConfig;

public interface ISysConfigService
{
    SysConfig selectConfigById(final Long p0);
    
    String selectConfigByKey(final String p0);
    
    SysConfig selectConfigByKeyObj(final String p0);
    
    List<SysConfig> selectConfigList(final SysConfig p0);
    
    int insertConfig(final SysConfig p0);
    
    int updateConfig(final SysConfig p0);
    
    void deleteConfigByIds(final Long[] p0);
    
    void loadingConfigCache();
    
    void clearConfigCache();
    
    void resetConfigCache();
    
    boolean checkConfigKeyUnique(final SysConfig p0);
}
